summaryrefslogtreecommitdiffstats
path: root/xcape
diff options
context:
space:
mode:
Diffstat (limited to 'xcape')
-rwxr-xr-xxcape/.services/available/xcape/log/run4
-rwxr-xr-xxcape/.services/available/xcape/run3
-rw-r--r--xcape/Makefile4
3 files changed, 11 insertions, 0 deletions
diff --git a/xcape/.services/available/xcape/log/run b/xcape/.services/available/xcape/log/run
new file mode 100755
index 0000000..06a11f4
--- /dev/null
+++ b/xcape/.services/available/xcape/log/run
@@ -0,0 +1,4 @@
+#!/bin/sh
+set -eu
+
+exec multilog t s16777215 "$HOME/.log/xcape"
diff --git a/xcape/.services/available/xcape/run b/xcape/.services/available/xcape/run
new file mode 100755
index 0000000..42b65b5
--- /dev/null
+++ b/xcape/.services/available/xcape/run
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+exec xcape -d -e 'Control_L=Escape;Control_R=Escape' >/dev/null 2>&1
diff --git a/xcape/Makefile b/xcape/Makefile
new file mode 100644
index 0000000..2a3718f
--- /dev/null
+++ b/xcape/Makefile
@@ -0,0 +1,4 @@
+include ../Makefile.include
+
+install: $(HOME)/.services/enabled/xcape
+ @mkdir -p $(HOME)/.log/xcape